MPI_Type_hvector(3)

NAME
MPI_Type_hvector - Creates a vector (strided) datatype with offset in bytes

SYNOPSIS
#include "mpi.h"
int MPI_Type_hvector(
        int count,
        int blocklen,
        MPI_Aint stride,
        MPI_Datatype old_type,
        MPI_Datatype *newtype )

INPUT PARAMETERS
count
    - number of blocks (nonnegative integer)
blocklength
    - number of elements in each block (nonnegative integer)
stride
    - number of bytes between start of each block (integer)
old_type
    - old datatype (handle)

OUTPUT PARAMETER
newtype
    - new datatype (handle)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Errhandler_set ; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_TYPE
    - Invalid datatype argument. May be an uncommitted MPI_Datatype (see MPI_Type_commit ).
MPI_ERR_COUNT
    - Invalid count argument. Count arguments must be non-negative; a count of zero is often valid.
MPI_ERR_ARG
    - Invalid argument. Some argument is invalid and is not identified by a specific error class (e.g., MPI_ERR_RANK ).
MPI_ERR_INTERN
    - This error is returned when some part of the MPICH implementation is unable to acquire memory.

LOCATION
type_hvec.c